# phpDox - Query\Drivers\Mysql\Util::backupStructure

# Query\Drivers\Mysql\Util::backupStructure

#### Create an SQL backup file for the current database's structure

## Signature

`public function backupStructure()`

## Returns

string

## Parent Implementation

- `AbstractUtil`

## Violations

### PHPMessDetector

Line | Rule | Message
--- | --- | ---
39 | UndefinedVariable | Avoid using undefined variables such as '$d' which will lead to PHP notices.
43 | UndefinedVariable | Avoid using undefined variables such as '$d' which will lead to PHP notices.
50 | UndefinedVariable | Avoid using undefined variables such as '$d' which will lead to PHP notices.
54 | UndefinedVariable | Avoid using undefined variables such as '$d' which will lead to PHP notices.